Bug 807198 - grub.cfg is empty after installation (using RHEL6.3-20120313.2)
grub.cfg is empty after installation (using RHEL6.3-20120313.2)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
Depends On:
  Show dependency treegraph
Reported: 2012-03-27 05:24 EDT by Xiaoqing Wei
Modified: 2012-07-03 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-03 15:29:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
guest ks (1.19 KB, application/octet-stream)
2012-03-27 05:27 EDT, Xiaoqing Wei
no flags Details
host ks (5.18 KB, application/octet-stream)
2012-03-27 05:28 EDT, Xiaoqing Wei
no flags Details
tar xf log.tar (17.00 KB, application/x-tar)
2012-03-28 01:03 EDT, Xiaoqing Wei
no flags Details

  None (edit)
Description Xiaoqing Wei 2012-03-27 05:24:21 EDT
Description of problem:
grub.cfg is empty after installation (using RHEL6.3-20120313.2)

Version-Release number of selected component (if applicable):
shipped with RHEL6.3-20120313.2

How reproducible:
2 / 2

Steps to Reproduce:
1. perform an url installation, ks will be attached. (here i am installing a kvm guest)
2./home/autotest-devel/client/tests/kvm/qemu -name 'vm1' -nodefaults -vga std -chardev socket,id=qmp_monitor_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20120327-145238-Kpwk,server,nowait -mon chardev=qmp_monitor_id_qmpmonitor1,mode=control -chardev socket,id=serial_id_20120327-145238-Kpwk,path=/tmp/serial-20120327-145238-Kpwk,server,nowait -device isa-serial,chardev=serial_id_20120327-145238-Kpwk -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 -drive file='/home/autotest-devel/client/tests/kvm/images/RHEL-Server-6.3-64-virtio.qcow2',index=0,if=none,id=drive-virtio-disk1,media=disk,cache=none,boot=off,snapshot=off,readonly=off,format=qcow2,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x5,drive=drive-virtio-disk1,id=virtio-disk1 -device virtio-net-pci,netdev=id8Jw46f,mac=9a:e5:b9:fa:eb:19,id=ndev00id8Jw46f,bus=pci.0,addr=0x3 -netdev tap,id=id8Jw46f,vhost=on,fd=21 -m 16384 -smp 4,cores=2,threads=1,sockets=2 -cpu 'Conroe' -drive file='/home/autotest-devel/client/tests/kvm/images/rhel63-64/ks.iso',index=2,if=none,id=drive-ide0-0-0,media=cdrom,boot=off,snapshot=off,readonly=on,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -device usb-tablet,id=usb-tablet1,bus=usb1.0 -kernel '/home/autotest-devel/client/tests/kvm/images/rhel63-64/vmlinuz' -append 'ks=cdrom nicdelay=60 console=ttyS0,115200 console=tty0' -initrd '/home/autotest-devel/client/tests/kvm/images/rhel63-64/initrd.img' -spice port=8000,disable-ticketing -vga qxl -rtc base=utc,clock=host,driftfix=slew -M rhel6.3.0 -boot order=cdn,once=d,menu=off    -no-kvm-pit-reinjection -no-shutdown -enable-kvm
Actual results:
guest unable to boot, need to point out the kernel/initramfs path.

Expected results:
guest boot without needing type in kernel/initramfs path manually.

Additional info:

host is installed using same tree, no such issue.
Comment 1 Xiaoqing Wei 2012-03-27 05:27:38 EDT
Created attachment 573003 [details]
guest ks
Comment 2 Xiaoqing Wei 2012-03-27 05:28:04 EDT
Created attachment 573004 [details]
host ks
Comment 3 Xiaoqing Wei 2012-03-27 05:29:17 EDT
btw, the /root/anaconda-ks.cfg inside guest after installation is also empty
Comment 5 Chris Lumens 2012-03-27 16:25:49 EDT
Please attach /tmp/anaconda.log, /tmp/program.log, and /tmp/syslog from the end of this installation to the bug.
Comment 6 Xiaoqing Wei 2012-03-28 01:03:18 EDT
Created attachment 573225 [details]
tar xf log.tar

it's not always reproducible, guest able to boot this time.
Comment 7 RHEL Product and Program Management 2012-05-03 01:11:33 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 8 David Cantrell 2012-07-03 15:29:00 EDT
Closing per comment #6.

Note You need to log in before you can comment on or make changes to this bug.